#
#
# Zeiterfassung

# Bibliotheksimports
import time
import datetime
import os
from timestamping import *
from users import *
from jsonhandler import *
from definitions import *

# Funktionen

def printUserList():
    userlist = list_users(scriptpath() + "/" + userfolder)
    for i in range(0, len(userlist)):
        print(str(i + 1) + ": " + str(userlist[i]))
    return(userlist)

# Hauptfunktion
def main():
    while True:

        print(program_name + " " + str(program_version))
        print("Welche Funktion soll ausgeführt werden?")
        print("1: Stempeln")
        print("2: Stempelübersicht anzeigen")
        print("3: Einstellungen ändern")
        print("0: Beenden")
        question = int(input("Geben Sie Ihre Antwort ein: "))

        if question == 1:
            userlist = printUserList()
            which_user = input("Für welchen User soll gestempelt werden? ")
            append_timestamp(determine_filename(userlist[int(which_user) - 1]))
            print("Stempeleintrag vorgenommen")
        elif question == 2:
            userlist = printUserList()
            which_user = input("Für welchen User sollen die Stempelzeiten angezeigt werden? " )
            print("Zustand: " + stempel_zustand(determine_filename(userlist[int(which_user) -1])))
            overview(determine_filename(userlist[int(which_user) - 1]))

        elif question == 3:
            userlist = printUserList()
            which_user = input("Für welchen Benutzer sollen die Einstellungen geändert werden? ")
            selected_user = userlist[int(which_user) - 1]
            print("Benutzereinstellungen für Benutzer " + str(selected_user) + ":")
            settings = load_settings(determine_filename(selected_user, "settings"))
            for x in settings:
                print(x + ": " + settings[x])
            setting_to_change = input("Welche Einstellung soll geändert werden? ")
            if setting_to_change in settings:
                new_value = input("Wie ist der neue Wert? ")
                settings[setting_to_change] = new_value
            for x in settings:
                print(x + ": " + settings[x])
            print("Speicher Einstellungen")
            write_settings(determine_filename(selected_user, type="settings"), settings)

        elif question == 0:
            exit()
        else:
            print("Keine Eingabe erkannt.")


# Programmstart
if __name__ == "__main__":
    main()